unit mainfrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, SDL_rchart;

type
  TForm1 = class(TForm)
    RChart1: TRChart;
    Panel1: TPanel;
    BButExit: TBitBtn;
    RadioGroup1: TRadioGroup;
    RGzPos: TRadioGroup;
    procedure RadioGroup1Click(Sender: TObject);
    procedure BButExitClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure RGzPosClick(Sender: TObject);
    procedure RChart1BeforeRenderData(Sender: TObject; Canvas: TCanvas; Top,
      Left: Integer);
    procedure RChart1DataRendered(Sender: TObject; Canvas: TCanvas; Top,
      Left: Integer);
  private
    procedure DrawPolygon (var Canvas: TCanvas; Top, Left: Integer);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
uses
  SDL_sdlbase;

const
  maxP = 10;
  RealPG : array[1..MaxP, 1..2] of double = ((3,3), (4,3), (5,5), (6,2), (5,1),
                                             (4,-2), (-2,-4), (-2,-1), (-1,2), (0,1));

                                             
(******************************************************************************)
procedure TForm1.DrawPolygon (var Canvas: TCanvas; Top, Left: Integer);
(******************************************************************************)

var
  Polygon : array[1..MaxP] of TPoint;
  i       : integer;
  x,y     : integer;

begin
for i:=1 to MaxP do
  begin
  RChart1.R2M(1, RealPG[i,1],RealPG[i,2], x, y);
  Polygon[i].x := x-Left;
  Polygon[i].y := y-Top;
  end;
Canvas.Brush.Color := clYellow;
Canvas.Pen.Color := clBlack;
canvas.Polygon (Polygon);
end;


(******************************************************************************)
procedure TForm1.RChart1BeforeRenderData(Sender: TObject; Canvas: TCanvas; Top,
  Left: Integer);
(******************************************************************************)

begin
if RGzPos.ItemIndex = 0 then
  DrawPolygon (Canvas, Top, Left);
end;

(******************************************************************************)
procedure TForm1.RChart1DataRendered(Sender: TObject; Canvas: TCanvas; Top,
  Left: Integer);
(******************************************************************************)

begin
if RGzPos.ItemIndex = 1 then
  DrawPolygon (Canvas, Top, Left);
end;

(******************************************************************************)
procedure TForm1.RadioGroup1Click(Sender: TObject);
(******************************************************************************)

begin
if RadioGroup1.ItemIndex = 0
  then RChart1.MouseAction := maPan
  else RChart1.MouseAction := maZoomDrag;
end;

(******************************************************************************)
procedure TForm1.BButExitClick(Sender: TObject);
(******************************************************************************)

begin
close;
end;

(******************************************************************************)
procedure TForm1.FormShow(Sender: TObject);
(******************************************************************************)

var
  i : integer;

begin
RChart1.DataColor := clBlue;
RChart1.MoveTo(-10,0);
for i:=1 to 1000 do
  RChart1.DrawTo(i/50-10, (1000-i)/200*sin(i*i/10000));
end;

(******************************************************************************)
procedure TForm1.RGzPosClick(Sender: TObject);
(******************************************************************************)

begin
RChart1.ShowGraf;
end;

end.
